package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxBillProperty;
import com.iformall.domain.po.WxBillRent;
import com.iformall.domain.po.WxPropertyContract;
import com.iformall.domain.po.WxRentContract;

import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxBillPropertyMapper extends CommonMapper<WxBillProperty, Long> {

	List<WxBillProperty> findList(WxBillProperty wxBillProperty);

	List<Map<String,Object>> queryBillPropertyList(WxBillProperty record);

	Map<String,Object> queryPayInfo(Map<String,Object> params);

	void updateNotPaidStatus(Map<String,Object> params);

	void updateWaitPayStatus(Map<String,Object> params);

	void updateInvalidStatus(WxBillProperty wxBillProperty);

	void updateInvalidStatusByRent(WxRentContract wxRentContract);

	void deletePreviewBill(WxPropertyContract wxPropertyContract);

	void update(WxBillProperty wxBillProperty);

	void updatePreviewStatus(WxBillProperty record);

	Long oweBillCount(Long contractId);
}
